%global momorel 1
%global artsver 1.3.2
%global qtver 3.3.4
%global kdever 3.3.2
%global qtdir %{_libdir}/qt-%{qtver}
%global kdedir /usr

Summary: Qt input module plugin for UIM
Name: uim-qt
Version: 0.2.0
Release: %{momorel}m
License: GPL
URL: http://freedesktop.org/Software/UimQt
Group: User Interface/X
Source0: http://freedesktop.org/~kzk/uim-qt/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt = %{qtver}, uim
BuildPreReq: qt-devel = %{qtver}, uim-devel
BuildPreReq: xorg-x11-devel, fontconfig-devel, freetype2-devel
BuildPreReq: zlib-devel, libjpeg-devel, libpng-devel, pkgconfig

%description
Qt immodules input method framework plugin for UIM.

%prep
%setup -q

%build
export QTDIR=%{qtdir}
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-dir=%{qtdir} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README THANKS TODO
%{qtdir}/plugins/inputmethods/libquiminputcontextplugin.la
%{qtdir}/plugins/inputmethods/libquiminputcontextplugin.so*

%changelog
* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- initial package
